This patch makes some needlessly global code static.

Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
Signed-off-by: Adrian Bunk <bunk@stusta.de>

[Submitted upstream]
--- diff/drivers/md/dm-hw-handler.c	2005-04-21 18:38:05.000000000 +0100
+++ source/drivers/md/dm-hw-handler.c	2005-04-21 19:03:59.000000000 +0100
@@ -23,7 +23,7 @@
 static LIST_HEAD(_hw_handlers);
 static DECLARE_RWSEM(_hwh_lock);
 
-struct hwh_internal *__find_hw_handler_type(const char *name)
+static struct hwh_internal *__find_hw_handler_type(const char *name)
 {
 	struct hwh_internal *hwhi;
 
--- diff/drivers/md/dm-path-selector.c	2005-04-04 17:38:05.000000000 +0100
+++ source/drivers/md/dm-path-selector.c	2005-04-21 19:03:59.000000000 +0100
@@ -26,7 +26,7 @@
 static LIST_HEAD(_path_selectors);
 static DECLARE_RWSEM(_ps_lock);
 
-struct ps_internal *__find_path_selector_type(const char *name)
+static struct ps_internal *__find_path_selector_type(const char *name)
 {
 	struct ps_internal *psi;
 
--- diff/drivers/md/dm-table.c	2005-04-04 17:39:42.000000000 +0100
+++ source/drivers/md/dm-table.c	2005-04-21 19:03:59.000000000 +0100
@@ -242,7 +242,7 @@
 	}
 }
 
-void table_destroy(struct dm_table *t)
+static void table_destroy(struct dm_table *t)
 {
 	unsigned int i;
 
--- diff/drivers/md/dm-zero.c	2005-04-04 17:38:23.000000000 +0100
+++ source/drivers/md/dm-zero.c	2005-04-21 19:03:59.000000000 +0100
@@ -55,7 +55,7 @@
 	.map    = zero_map,
 };
 
-int __init dm_zero_init(void)
+static int __init dm_zero_init(void)
 {
 	int r = dm_register_target(&zero_target);
 
@@ -65,7 +65,7 @@
 	return r;
 }
 
-void __exit dm_zero_exit(void)
+static void __exit dm_zero_exit(void)
 {
 	int r = dm_unregister_target(&zero_target);
 
